GDBserver

Macros | Functions
wincecompat.h File Reference
`#include <windows.h>`

Go to the source code of this file.

## Macros
#define | errno (GetLastError ())
#define | strerror strwinerror

## Functions
char * | strwinerror (DWORD error)

## Macro Definition Documentation

## ◆ errno

#define errno (GetLastError ())

Definition at line 24 of file wincecompat.h.

Referenced by agent_run_command(), arm_prepare_to_resume(), arm_read_description(), arm_stopped_by_watchpoint(), async_file_flush(), async_file_mark(), do_fork(), do_setns(), fdwalk(), fetch_ppc_memory_1(), fetch_ppc_register(), fork_inferior(), gdb_connect_sync_socket(), gdb_fopen_cloexec(), handle_btrace_conf_general_set(), hostio_last_error_from_errno(), initialize_fast_tracepoint_trampoline_buffer(), kill_lwp(), kill_wait_lwp(), linux_attach_lwp(), linux_detach_one_lwp(), linux_join(), linux_kill_one_lwp(), linux_mntns_access_fs(), linux_mntns_get_helper(), linux_mntns_open_cloexec(), linux_mntns_readlink(), linux_mntns_unlink(), linux_ptrace_test_ret_to_nx(), linux_read_memory(), linux_resume_one_lwp_throw(), linux_wait_for_event_filtered(), linux_write_memory(), lynx_attach(), lynx_ptrace(), lynx_read_memory(), lynx_resume(), lynx_waitpid(), lynx_write_memory(), maybe_disable_address_space_randomization::maybe_disable_address_space_randomization(), mips_read_description(), mnsh_handle_open(), mnsh_handle_readlink(), mnsh_handle_setns(), mnsh_handle_unlink(), mnsh_maybe_mourn_peer(), mnsh_recv_message(), my_waitpid(), nto_xfer_memory(), perror_with_name(), remote_open(), restore_original_signals_state(), s390_check_regset(), save_original_signals_state(), sigchld_handler(), spu_attach(), spu_join(), spu_kill(), spu_resume(), spu_wait(), store_ppc_memory_1(), strtoulst(), trace_start_error_with_name(), wait_for_event(), x86_linux_dr_get(), x86_linux_dr_set(), and maybe_disable_address_space_randomization::~maybe_disable_address_space_randomization().

## ◆ strerror

#define strerror strwinerror

Definition at line 28 of file wincecompat.h.

## Function Documentation

## ◆ strwinerror()

char* strwinerror | ( | DWORD | error | ) |

Definition at line 510 of file win32-low.c.

References COUNTOF, and error().

Referenced by continue_one_thread(), perror(), suspend_one_thread(), win32_attach(), win32_create_inferior(), and win32_require_context().